# options for systemsettings
{ pkgs, lib, config, ... }:

{
    options = {
      systemSettings.enable = lib.mkEnableOption "enables standard systemsettings";
    };
    
    config = lib.mkIf config.systemSettings.enable {
        system = lib.mkDefault "x86_64-linux";
        profile = lib.mkDefault "personal";
        timezone = "Europe/Berlin";
        locale = "en_US.UTF-8";
        bootMode = lib.mkDefault "uefi";
        bootMountPath = "/boot";
    };

}
